#define SENSOR_PIN A0
#define ALPHA 0.75

void setup() {
  Serial.begin(9600);
}

void loop() {
  Serial.println(readSensor());
  delay(20);
}

float readSensor() {
  static float last = 0;
  float sum = 0;

  for (int i = 0; i < 20; i++) {
    sum += analogRead(SENSOR_PIN);
    delay(1);
  };

  last = ALPHA * (sum / 20) + (1 - ALPHA) * last;
  return last;
}
